Retrieves all the job approvals
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of jobs |
globally unique identifier |
Required |
| user_id |
Foreign key, user that makes the approval |
globally unique identifier |
Required |
| ready_for_multi_approval |
Inform if this is a temp approval prepared for a future approval with the customer (multi approval) |
boolean | |
| is_daily_approval |
Intermediate approval of full approval |
boolean | |
| contact_id |
Foreign key of contact, that signed the approval |
globally unique identifier | |
| contact_name |
Contact fullname that sign the approval if not already exists |
string |
Max length: 255 |
| customer_remarks |
Remarks of the customer during the approval |
string |
Max length: 4000 |
| date_generated |
Local Date+Time of the approval generation |
date | |
| additional_email |
Additional emails that should receive the approval pdf |
string |
Max length: 4000 |
| is_signed |
Inform if a signature is available (cf db_signature) |
boolean | |
| job_status_id |
Job Status that will be used to alter the jobs (WaitingFurtherAction,Completed) |
globally unique identifier | |
| rating |
Rating (0,5) the quality of the jobs |
integer | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "2b1fa42c-d5f4-4b58-9c23-e5c598ae03b3",
"jobs_id": "3aa79747-7fe2-4ff8-83e4-f202c02c6543",
"user_id": "5ec4b185-e430-4125-abbe-9c129b55af59",
"ready_for_multi_approval": true,
"is_daily_approval": true,
"contact_id": "c3cd891b-ae07-4415-a652-8c97b30e4f1e",
"contact_name": "sample string 7",
"customer_remarks": "sample string 8",
"date_generated": "2026-05-13T07:47:29.4210996+00:00",
"additional_email": "sample string 10",
"is_signed": true,
"job_status_id": "db34caee-f044-405e-a60f-fa4bc7dfe811",
"rating": 13,
"modified_dateutc": "2026-05-13T07:47:29.4210996+00:00"
}